Skip to content

Investor Journey

Create investor journey. Platform merchant JWT required.

Create investor journey

Request

Creates an investor portal URL for the given email, PAN, and scheme. Requires a platform merchant JWT.

Security
JWT
Bodyapplication/jsonrequired
emailstring, (email)required
Example:"investor@example.com"
panstring^[A-Z]{3}P[A-Z][0-9]{4}[A-Z]$required
Example:"ABCPD1234E"
scheme_nostringrequired
Example:"HGEMR"
POST
/investor-journey
curl -i -X POST \
  https://api.glomopay.com/api/v1/investor-journey \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "email": "investor@example.com",
    "pan": "ABCPD1234E",
    "scheme_no": "HGEMR"
  }'

Responses

Success

Bodyapplication/json
urlstring, (uri)required
Example:"https://investor-portal.glomopay.com#payload=..."
Response
{ "url": "https://investor-portal.glomopay.com#payload=..." }